package domain

type AlibabaHmMarketingItempoolCreateactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   创建成功时会返回五道口活动id     */
	Data *int64 `json:"data,omitempty" `

	/*
	   创建活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolCreateactivityMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolCreateactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolCreateactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityMarketResult) SetData(v int64) *AlibabaHmMarketingItempoolCreateactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolCreateactivityMarketResult {
	s.Success = &v
	return s
}
